package com.pixelized.shared.lwa.model.inventory

data class Inventory(
    val characterSheetId: String,
    val purse: Purse,
    val items: List<Item>,
) {
    data class Purse(
        val gold: Int,
        val silver: Int,
        val copper: Int,
    )

    data class Item(
        val inventoryId: String,
        val itemId: String,
        val count: Float,
        val equipped: Boolean,
    )

    companion object {
        fun empty(characterSheetId: String) = Inventory(
            characterSheetId = characterSheetId,
            purse = Purse(
                gold = 0,
                silver = 0,
                copper = 0,
            ),
            items = emptyList(),
        )
    }
}